extends Node

var enabled = false

func _physics_process(delta):
	if enabled:
		var input = ''
		if Input.is_action_pressed("ui_down"):
			input =("ui_down")
		if Input.is_action_pressed("ui_up"):
			input =("ui_up")
		if Input.is_action_pressed("ui_left"):
			input =("ui_left")
		if Input.is_action_pressed("ui_right"):
			input =("ui_right")
		get_parent().send_input(input)
